aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/entry
diff options
context:
space:
mode:
authorpmikus <peter.mikus@protonmail.ch>2023-07-07 05:59:34 +0000
committerpmikus <peter.mikus@protonmail.ch>2023-07-07 06:19:04 +0000
commit0f195d86c9f5cf0fa8e82464428158a86f0b6113 (patch)
treed763432e5d574fefbf1becf73f39cd5fec8c0100 /resources/libraries/bash/entry
parent7919c38c048cefc5bfcf814730d182bc91ee7865 (diff)
fix(core): Remove output_info.xml processingoper-230710
Signed-off-by: pmikus <peter.mikus@protonmail.ch> Change-Id: I1528d7760228d50a4d89c0e413ad86aa882088ed
Diffstat (limited to 'resources/libraries/bash/entry')
-rwxr-xr-xresources/libraries/bash/entry/bootstrap_verify_perf.sh8
-rwxr-xr-xresources/libraries/bash/entry/bootstrap_vpp_device.sh8
-rw-r--r--resources/libraries/bash/entry/per_patch_device.sh8
-rw-r--r--resources/libraries/bash/entry/per_patch_perf.sh10
4 files changed, 17 insertions, 17 deletions
diff --git a/resources/libraries/bash/entry/bootstrap_verify_perf.sh b/resources/libraries/bash/entry/bootstrap_verify_perf.sh
index 99813573ea..fd677166b0 100755
--- a/resources/libraries/bash/entry/bootstrap_verify_perf.sh
+++ b/resources/libraries/bash/entry/bootstrap_verify_perf.sh
@@ -1,4 +1,4 @@
-# Copyright (c) 2021 Cisco and/or its affiliates.
+# Copyright (c) 2023 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -47,9 +47,9 @@ prepare_topology || die
select_topology || die
reserve_and_cleanup_testbed || die
select_tags || die
-compose_pybot_arguments || die
+compose_robot_arguments || die
set_environment_variables || die
-run_pybot || die
+run_robot || die
untrap_and_unreserve_testbed || die
move_archives || die
-die_on_pybot_error || die
+die_on_robot_error || die
diff --git a/resources/libraries/bash/entry/bootstrap_vpp_device.sh b/resources/libraries/bash/entry/bootstrap_vpp_device.sh
index ae4c26a1ba..31038b0643 100755
--- a/resources/libraries/bash/entry/bootstrap_vpp_device.sh
+++ b/resources/libraries/bash/entry/bootstrap_vpp_device.sh
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-# Copyright (c) 2021 Cisco and/or its affiliates.
+# Copyright (c) 2023 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -45,8 +45,8 @@ prepare_topology || die
select_topology || die
activate_docker_topology || die
select_tags || die
-compose_pybot_arguments || die
+compose_robot_arguments || die
set_environment_variables || die
-run_pybot || die
+run_robot || die
move_archives || die
-die_on_pybot_error || die
+die_on_robot_error || die
diff --git a/resources/libraries/bash/entry/per_patch_device.sh b/resources/libraries/bash/entry/per_patch_device.sh
index db977b6e96..950a52209d 100644
--- a/resources/libraries/bash/entry/per_patch_device.sh
+++ b/resources/libraries/bash/entry/per_patch_device.sh
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-# Copyright (c) 2021 Cisco and/or its affiliates.
+# Copyright (c) 2023 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -55,7 +55,7 @@ prepare_topology || die
select_topology || die
activate_docker_topology || die
select_tags || die
-compose_pybot_arguments || die
-run_pybot || die
+compose_robot_arguments || die
+run_robot || die
move_archives || die
-die_on_pybot_error || die
+die_on_robot_error || die
diff --git a/resources/libraries/bash/entry/per_patch_perf.sh b/resources/libraries/bash/entry/per_patch_perf.sh
index e7702070c9..4a756d2c25 100644
--- a/resources/libraries/bash/entry/per_patch_perf.sh
+++ b/resources/libraries/bash/entry/per_patch_perf.sh
@@ -59,7 +59,7 @@ generate_tests || die
archive_tests || die
reserve_and_cleanup_testbed || die
select_tags || die
-compose_pybot_arguments || die
+compose_robot_arguments || die
set_environment_variables || die
# Support for interleaved measurements is kept for future.
iterations=1 # 8
@@ -72,16 +72,16 @@ for ((iter=0; iter<iterations; iter++)); do
# Testing current first. Good for early failures or for API changes.
select_build "build_current" || die
check_download_dir || die
- run_pybot || die
+ run_robot || die
archive_parse_test_results "csit_current/${iter}" || die
- die_on_pybot_error || die
+ die_on_robot_error || die
# TODO: Use less heavy way to avoid apt remove failures.
ansible_playbook "cleanup" || die
select_build "build_parent" || die
check_download_dir || die
- run_pybot || die
+ run_robot || die
archive_parse_test_results "csit_parent/${iter}" || die
- die_on_pybot_error || die
+ die_on_robot_error || die
done
untrap_and_unreserve_testbed || die
compare_test_results # The error code becomes this script's error code.